Get User

gethttps://app.fossa.com/api/users/{id}

Get user by ID

Path parameters

idintegerrequired

The user's unique identifier

Responses

200OK
idinteger

The user's unique identifier

usernamestring | null

The user's username

emailstring | null

The user's email address

email_verifiedboolean | null

Whether the user's email address has been verified

demoboolean

Whether the user is a demo user

superboolean

Whether the user is a super user

isServiceAccountboolean

Whether the user is a service account

joinedstring | null <date-time>

The date the user joined the organization

last_visitstring | null <date-time>

The date the user last visited the organization

terms_agreedstring | null <date-time>

The date the user agreed to the organization's terms

full_namestring | null

The user's full name

phonestring | null

The user's phone number

rolestring | null

The user's role in the organization

organizationIdinteger

The organization the user belongs to

sso_onlyboolean

Whether the user is SSO only

enabledboolean

Whether the user is enabled

has_set_passwordboolean | null

Whether the user has set a password

install_adminboolean | null

Whether the user is an install admin

createdAtstring <date-time>

The date the user was created

updatedAtstring <date-time>

The date the user was last updated

userRoleobject
roleIdinteger

The user's Organization role ID

roleobject
idinteger

The role's unique identifier

organizationIdinteger

The organization the role belongs to

isCustomboolean

Whether the role is custom

namestring

The role's name

scopestring

The role's scope

tokensobject[]
idinteger

The token's unique identifier

namestring

The token's name

isDisabledboolean
updatedAtstring <date-time>

The date the token was last updated

createdAtstring <date-time>

The date the token was created

metaobject
pushOnlyboolean

Whether the token is push only

teamUsersobject[]
roleIdinteger

The user's role ID

teamobject
idinteger

The team's unique identifier

namestring

The team's name

organizationobject
idinteger

The organization's unique identifier

titlestring

The organization's title

access_levelstring

The organization's access level

githubobject
namestring

The user's GitHub username

emailstring

The user's GitHub email address

avatar_urlstring

The user's GitHub avatar URL

bitbucketCloudobject
namestring

The user's Bitbucket Cloud username

emailstring

The user's Bitbucket Cloud email address

avatar_urlstring

The user's Bitbucket Cloud avatar URL

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404No user with the given ID was found in the organization
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/users/1
curl --request GET \  --url 'https://app.fossa.com/api/users/1' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired

The user's unique identifier